Skip to main content
GET
/
ai_chats
/
{id}
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

const aiChat = await client.aiChats.retrieve('aich_xxxxxxxxxxxxx');

console.log(aiChat.id);
{
  "id": "aich_xxxxxxxxxxxxx",
  "title": "Weekly Revenue Analysis",
  "message_count": 42,
  "blended_token_usage": "123.45",
  "created_at": "2023-12-01T05:00:00.401Z",
  "updated_at": "2023-12-01T05:00:00.401Z",
  "last_message_at": "2023-12-01T05:00:00.401Z",
  "user": {
    "id": "user_xxxxxxxxxxxxx"
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the AI chat to retrieve.

Example:

"aich_xxxxxxxxxxxxx"

Response

A successful response

An AI-powered chat conversation belonging to a user, with optional scheduled automation.

id
string
required

The unique identifier for the ai chat.

Example:

"aich_xxxxxxxxxxxxx"

title
string | null
required

A short descriptive title for this AI chat conversation. Null if no title has been set.

Example:

"Weekly Revenue Analysis"

message_count
integer
required

The total number of messages exchanged in this conversation.

Example:

42

blended_token_usage
string
required

The total number of tokens consumed across all messages in this conversation.

Example:

"123.45"

created_at
string<date-time>
required

The datetime the ai chat was created.

Example:

"2023-12-01T05:00:00.401Z"

updated_at
string<date-time>
required

The datetime the ai chat was last updated.

Example:

"2023-12-01T05:00:00.401Z"

last_message_at
string<date-time> | null
required

The timestamp of the most recent message in this conversation. Null if no messages have been sent yet.

Example:

"2023-12-01T05:00:00.401Z"

user
object
required

The user who owns this AI chat conversation.